Liblinphone: Call-control

Liblinphone 5.2.0

Functions
Call-control

## Functions
LinphoneRecorder * | linphone_recorder_new (LinphoneCore *core, LinphoneRecorderParams *params)
| Create a new LinphoneRecorder object.
LinphoneRecorder * | linphone_recorder_ref (LinphoneRecorder *recorder)
| Take a reference on a LinphoneRecorder object.
void | linphone_recorder_unref (LinphoneRecorder *recorder)
| Release a LinphoneRecorder object.
LinphoneStatus | linphone_recorder_open (LinphoneRecorder *recorder, const char *file)
| Open a file for recording.
void | linphone_recorder_close (LinphoneRecorder *recorder)
| Close the opened file.
const char * | linphone_recorder_get_file (const LinphoneRecorder *recorder)
| Gets the file used for recording.
LinphoneStatus | linphone_recorder_start (LinphoneRecorder *recorder)
| Start the recording into the opened file.
LinphoneStatus | linphone_recorder_pause (LinphoneRecorder *recorder)
| Pause the recording.
LinphoneRecorderState | linphone_recorder_get_state (const LinphoneRecorder *recorder)
| Gets the current state of the recorder.
int | linphone_recorder_get_duration (const LinphoneRecorder *recorder)
| Gets the duration of the recording.
float | linphone_recorder_get_capture_volume (const LinphoneRecorder *recorder)
| Get linear volume when capturing audio.
LinphoneContent * | linphone_recorder_create_content (LinphoneRecorder *recorder)
| Create a content from the recording, for example to send it in a chat message.
void | linphone_recorder_set_params (LinphoneRecorder *recorder, LinphoneRecorderParams *params)
| Set the LinphoneRecorderParams object.
const LinphoneRecorderParams * | linphone_recorder_get_params (const LinphoneRecorder *recorder)
| Retrieve the LinphoneRecorderParams object.
void | linphone_recorder_set_user_data (LinphoneRecorder *recorder, void *user_data)
| Set the user data.
void * | linphone_recorder_get_user_data (const LinphoneRecorder *recorder)
| Retrieve the user data.
LinphoneRecorderParams * | linphone_recorder_params_new (void)
| Create a new LinphoneRecorderParams object.
LinphoneRecorderParams * | linphone_recorder_params_clone (const LinphoneRecorderParams *params)
| Clone a LinphoneRecorderParams object.
LinphoneRecorderParams * | linphone_recorder_params_ref (LinphoneRecorderParams *params)
| Take a reference on a LinphoneRecorderParams object.
void | linphone_recorder_params_unref (LinphoneRecorderParams *params)
| Release a LinphoneRecorderParams object.
void | linphone_recorder_params_set_audio_device (LinphoneRecorderParams *params, const LinphoneAudioDevice *device)
| Set the LinphoneAudioDevice object.
const LinphoneAudioDevice * | linphone_recorder_params_get_audio_device (const LinphoneRecorderParams *params)
| Retrieve the LinphoneAudioDevice object.
void | linphone_recorder_params_set_webcam_name (LinphoneRecorderParams *params, const char *webcam_name)
| Set the webcam name.
const char * | linphone_recorder_params_get_webcam_name (const LinphoneRecorderParams *params)
| Retrieves the webcam name.
void | linphone_recorder_params_set_video_codec (LinphoneRecorderParams *params, const char *video_codec)
| Set the video codec.
const char * | linphone_recorder_params_get_video_codec (const LinphoneRecorderParams *params)
| Retrieves the video codec.
void | linphone_recorder_params_set_file_format (LinphoneRecorderParams *params, LinphoneRecorderFileFormat format)
| Set the LinphoneRecorderFileFormat.
LinphoneRecorderFileFormat | linphone_recorder_params_get_file_format (const LinphoneRecorderParams *params)
| Retrieves the LinphoneRecorderFileFormat.
void | linphone_recorder_params_set_window_id (LinphoneRecorderParams *params, void *window_id)
| Set the window id.
void * | linphone_recorder_params_get_window_id (const LinphoneRecorderParams *params)
| Retrieves the window id.

## Detailed Description

## Function Documentation

## ◆ linphone_recorder_close()

void linphone_recorder_close | ( | LinphoneRecorder * | recorder | ) |

Close the opened file.

Parameters

  recorder | The LinphoneRecorder object.

## ◆ linphone_recorder_create_content()

LinphoneContent * linphone_recorder_create_content | ( | LinphoneRecorder * | recorder | ) |

Create a content from the recording, for example to send it in a chat message.

Warning
  Recorder must be in Closed state!

Parameters

  recorder | The LinphoneRecorder object.

Returns
  the LinphoneContent matching the recording, or NULL.

## ◆ linphone_recorder_get_capture_volume()

float linphone_recorder_get_capture_volume | ( | const LinphoneRecorder * | recorder | ) |

Get linear volume when capturing audio.

Parameters

  recorder | The LinphoneRecorder object.

Returns
  Linear volume.

## ◆ linphone_recorder_get_duration()

int linphone_recorder_get_duration | ( | const LinphoneRecorder * | recorder | ) |

Gets the duration of the recording.

Parameters

  recorder | The LinphoneRecorder object.

Returns
  the duration of the recording, in milliseconds.

## ◆ linphone_recorder_get_file()

const char * linphone_recorder_get_file | ( | const LinphoneRecorder * | recorder | ) |

Gets the file used for recording.

Parameters

  recorder | The LinphoneRecorder object.

Returns
  the file used for the recording if any.

## ◆ linphone_recorder_get_params()

const LinphoneRecorderParams * linphone_recorder_get_params | ( | const LinphoneRecorder * | recorder | ) |

Retrieve the LinphoneRecorderParams object.

Parameters

  recorder | The LinphoneRecorder object.

Returns
  The LinphoneRecorderParams object.

## ◆ linphone_recorder_get_state()

LinphoneRecorderState linphone_recorder_get_state | ( | const LinphoneRecorder * | recorder | ) |

Gets the current state of the recorder.

Parameters

  recorder | The LinphoneRecorder object.

Returns
  the current LinphoneRecorderState.

## ◆ linphone_recorder_get_user_data()

void * linphone_recorder_get_user_data | ( | const LinphoneRecorder * | recorder | ) |

Retrieve the user data.

Parameters

  recorder | The LinphoneRecorder object.

Returns
  the user data to retrieve.

## ◆ linphone_recorder_new()

LinphoneRecorder * linphone_recorder_new | ( | LinphoneCore * | core,
|  | LinphoneRecorderParams * | params
| ) |  |

Create a new LinphoneRecorder object.

Parameters

  core | The LinphoneCore object.
  params | The LinphoneRecorderParams object.

Returns
  the newly created LinphoneRecorder object.

## ◆ linphone_recorder_open()

LinphoneStatus linphone_recorder_open | ( | LinphoneRecorder * | recorder,
|  | const char * | file
| ) |  |

Open a file for recording.

Parameters

  recorder | The LinphoneRecorder object.
  file | The path to the file to open.

## ◆ linphone_recorder_params_clone()

LinphoneRecorderParams * linphone_recorder_params_clone | ( | const LinphoneRecorderParams * | params | ) |

Clone a LinphoneRecorderParams object.

Parameters

  params | The LinphoneRecorderParams object.

Returns
  the cloned LinphoneRecorderParams object.

## ◆ linphone_recorder_params_get_audio_device()

const LinphoneAudioDevice * linphone_recorder_params_get_audio_device | ( | const LinphoneRecorderParams * | params | ) |

Retrieve the LinphoneAudioDevice object.

Parameters

  params | The LinphoneRecorderParams object.

Returns
  the LinphoneAudioDevice object.

## ◆ linphone_recorder_params_get_file_format()

LinphoneRecorderFileFormat linphone_recorder_params_get_file_format | ( | const LinphoneRecorderParams * | params | ) |

Retrieves the LinphoneRecorderFileFormat.

Parameters

  params | The LinphoneRecorderParams object.

Returns
  the LinphoneRecorderFileFormat.

## ◆ linphone_recorder_params_get_video_codec()

const char * linphone_recorder_params_get_video_codec | ( | const LinphoneRecorderParams * | params | ) |

Retrieves the video codec.

Parameters

  params | The LinphoneRecorderParams object.

Returns
  the video codec.

## ◆ linphone_recorder_params_get_webcam_name()

const char * linphone_recorder_params_get_webcam_name | ( | const LinphoneRecorderParams * | params | ) |

Retrieves the webcam name.

Parameters

  params | The LinphoneRecorderParams object.

Returns
  the webcam name.

## ◆ linphone_recorder_params_get_window_id()

void * linphone_recorder_params_get_window_id | ( | const LinphoneRecorderParams * | params | ) |

Retrieves the window id.

Parameters

  params | The LinphoneRecorderParams object.

Returns
  the window id.

## ◆ linphone_recorder_params_new()

LinphoneRecorderParams * linphone_recorder_params_new | ( | void |  | ) |

Create a new LinphoneRecorderParams object.

Returns
  the newly created LinphoneRecorderParams object.

## ◆ linphone_recorder_params_ref()

LinphoneRecorderParams * linphone_recorder_params_ref | ( | LinphoneRecorderParams * | params | ) |

Take a reference on a LinphoneRecorderParams object.

Parameters

  params | The LinphoneRecorderParams object.

Returns
  the same LinphoneRecorderParams object.

## ◆ linphone_recorder_params_set_audio_device()

void linphone_recorder_params_set_audio_device | ( | LinphoneRecorderParams * | params,
|  | const LinphoneAudioDevice * | device
| ) |  |

Set the LinphoneAudioDevice object.

Parameters

  params | The LinphoneRecorderParams object.
  device | The LinphoneAudioDevice object to set.

## ◆ linphone_recorder_params_set_file_format()

void linphone_recorder_params_set_file_format | ( | LinphoneRecorderParams * | params,
|  | LinphoneRecorderFileFormat | format
| ) |  |

Set the LinphoneRecorderFileFormat.

Parameters

  params | The LinphoneRecorderParams object.
  format | The LinphoneRecorderFileFormat to set.

## ◆ linphone_recorder_params_set_video_codec()

void linphone_recorder_params_set_video_codec | ( | LinphoneRecorderParams * | params,
|  | const char * | video_codec
| ) |  |

Set the video codec.

Parameters

  params | The LinphoneRecorderParams object.
  video_codec | The video codec to set.

## ◆ linphone_recorder_params_set_webcam_name()

void linphone_recorder_params_set_webcam_name | ( | LinphoneRecorderParams * | params,
|  | const char * | webcam_name
| ) |  |

Set the webcam name.

Parameters

  params | The LinphoneRecorderParams object.
  webcam_name | The webcam name to set.

## ◆ linphone_recorder_params_set_window_id()

void linphone_recorder_params_set_window_id | ( | LinphoneRecorderParams * | params,
|  | void * | window_id
| ) |  |

Set the window id.

Parameters

  params | The LinphoneRecorderParams object.
  window_id | The window id to set.

## ◆ linphone_recorder_params_unref()

void linphone_recorder_params_unref | ( | LinphoneRecorderParams * | params | ) |

Release a LinphoneRecorderParams object.

Parameters

  params | The LinphoneRecorderParams object.

## ◆ linphone_recorder_pause()

LinphoneStatus linphone_recorder_pause | ( | LinphoneRecorder * | recorder | ) |

Pause the recording.

Parameters

  recorder | The LinphoneRecorder object.

## ◆ linphone_recorder_ref()

LinphoneRecorder * linphone_recorder_ref | ( | LinphoneRecorder * | recorder | ) |

Take a reference on a LinphoneRecorder object.

Parameters

  recorder | The LinphoneRecorder object.

Returns
  the same LinphoneRecorder object.

## ◆ linphone_recorder_set_params()

void linphone_recorder_set_params | ( | LinphoneRecorder * | recorder,
|  | LinphoneRecorderParams * | params
| ) |  |

Set the LinphoneRecorderParams object.

Parameters

  recorder | The LinphoneRecorder object.
  params | The LinphoneRecorderParams object to set.

## ◆ linphone_recorder_set_user_data()

void linphone_recorder_set_user_data | ( | LinphoneRecorder * | recorder,
|  | void * | user_data
| ) |  |

Set the user data.

Parameters

  recorder | The LinphoneRecorder object.
  user_data | The user data to set.

## ◆ linphone_recorder_start()

LinphoneStatus linphone_recorder_start | ( | LinphoneRecorder * | recorder | ) |

Start the recording into the opened file.

Parameters

  recorder | The LinphoneRecorder object.

## ◆ linphone_recorder_unref()

void linphone_recorder_unref | ( | LinphoneRecorder * | recorder | ) |

Release a LinphoneRecorder object.

Parameters

  recorder | The LinphoneRecorder object.